Create Account
curl --request POST \
--url https://api.openxswitch.com/v2/accounts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"idempotencyKey": "8d5be8f5-a8e7-4e8a-b715-0e7d6f2a6d04",
"name": "Sandbox Account"
}
'import requests
url = "https://api.openxswitch.com/v2/accounts"
payload = {
"idempotencyKey": "8d5be8f5-a8e7-4e8a-b715-0e7d6f2a6d04",
"name": "Sandbox Account"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
idempotencyKey: '8d5be8f5-a8e7-4e8a-b715-0e7d6f2a6d04',
name: 'Sandbox Account'
})
};
fetch('https://api.openxswitch.com/v2/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "47900010-7a2f-487e-9d38-3fd790fc13dc",
"name": "OX App",
"type": "SETTLEMENT",
"state": "LIVE",
"network": "mainnet",
"evmDetails": {
"address": "0x1234567890123456789012345678901234567890",
"refId": "d34e1fa1-5313-4909-a707-a6c8c2bc9578"
},
"solanaDetails": {
"address": "0x1234567890123456789012345678901234567890",
"refId": "d34e1fa1-5313-4909-a707-a6c8c2bc9578"
},
"workspaceId": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"createdAt": "2025-04-02T17:20:42.160Z",
"updatedAt": "2025-04-02T17:20:42.160Z"
}
}{
"statusCode": 400,
"path": "/v1/...",
"timestamp": "2025-03-13T12:34:56.789Z",
"message": "......"
}{
"statusCode": 404,
"path": "/v1/...",
"timestamp": "2025-03-13T12:34:56.789Z",
"message": "Cannot GET /v1/..."
}{
"statusCode": 422,
"path": "/v1/...",
"timestamp": "2025-03-13T12:34:56.789Z",
"message": [
"param is required"
]
}{
"statusCode": 500,
"path": "/v1/...",
"timestamp": "2025-03-13T12:34:56.789Z",
"message": "......"
}Accounts
Create Account
Create a new account.
POST
/
v2
/
accounts
Create Account
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
This key is utilized to ensure exactly-once execution of mutating requests. If the same key is reused, it will be treated as the same request and the original response will be returned.
Example:
"8d5be8f5-a8e7-4e8a-b715-0e7d6f2a6d04"
The name of the Account
Example:
"Sandbox Account"
⌘I
.png?fit=max&auto=format&n=ML35RDblT1Ol-zJb&q=85&s=062e79ad9c4540929eec204aff020178)
.png?fit=max&auto=format&n=ML35RDblT1Ol-zJb&q=85&s=f6328956931c9664a2a070c2edb6e9b3)